#Module-Specific definitions
%define mod_name mod_security2
%define mod_conf 82_%{mod_name}.conf
%define mod_so %{mod_name}.so

Summary:	DSO module for the apache web server
Name:		apache-%{mod_name}
Version:	2.5.6
Release:	%mkrel 1
Group:		System/Servers
License:	GPL
URL:		http://www.modsecurity.org/
Source0:	http://www.modsecurity.org/download/modsecurity-apache_%{version}.tar.gz
Source1:	http://www.modsecurity.org/download/modsecurity-apache_%{version}.tar.gz.asc
Source2:	mod_security2.logrotate
Source3:	%{mod_conf}
Requires(pre): rpm-helper
Requires(postun): rpm-helper
Requires(pre):	apache-conf >= 2.2.6
Requires(pre):	apache >= 2.2.6
Requires:	apache-conf >= 2.2.6
Requires:	apache >= 2.2.6
Requires:	apache-mod_unique_id >= 2.2.6
Requires:	mlogc >= 1.4.2
Requires:	gnupg
Requires:	unzip
Requires:	sendmail-command
BuildRequires:	apache-devel >= 2.2.6
BuildRequires:	curl-devel
BuildRequires:	file
BuildRequires:	libxml2-devel
BuildRequires:	lua-devel
BuildRequires:	pcre-devel
BuildRequires:	perl
Conflicts:	apache-mod_security
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
ModSecurity is an open source intrustion detection and prevention engine for
web applications. It operates embedded into the web server, acting as a
powerful umbrella - shielding applications from attacks.

%prep

%setup -q -n modsecurity-apache_%{version}

cp %{SOURCE2} mod_security2.logrotate
cp %{SOURCE3} %{mod_conf}

# strip away annoying ^M
find . -type f|xargs file|grep 'CRLF'|cut -d: -f1|xargs perl -p -i -e 's/\r//'
find . -type f|xargs file|grep 'text'|cut -d: -f1|xargs perl -p -i -e 's/\r//'

%build

pushd apache2
%configure2_5x --localstatedir=/var/lib \
    --enable-performance-measurement \
    --with-apxs=%{_sbindir}/apxs \
    --with-pcre=%{_prefix} \
    --with-apr=%{_prefix} \
    --with-apu=%{_prefix} \
    --with-libxml=%{_prefix} \
    --with-lua=%{_prefix} \
    --with-curl=%{_prefix}

%make
popd

#%%check
#pushd apache2
#make test
#popd

%install
rm -rf %{buildroot}

install -d %{buildroot}%{_sbindir}
install -d %{buildroot}%{_libdir}/apache-extramodules
install -d %{buildroot}%{_sysconfdir}/httpd/modules.d
install -d %{buildroot}%{_sysconfdir}/httpd/conf/modsecurity/optional_rules
install -d %{buildroot}%{_sysconfdir}/logrotate.d

install -m0755 apache2/.libs/*.so %{buildroot}%{_libdir}/apache-extramodules/
install -m0644 %{mod_conf} %{buildroot}%{_sysconfdir}/httpd/modules.d/%{mod_conf}
install -m0644 mod_security2.logrotate %{buildroot}%{_sysconfdir}/logrotate.d/%{mod_name}

install -m0644 rules/*.conf %{buildroot}%{_sysconfdir}/httpd/conf/modsecurity/
install -m0644 rules/optional_rules/*.conf %{buildroot}%{_sysconfdir}/httpd/conf/modsecurity/optional_rules/
cp rules/CHANGELOG CHANGELOG.rules
cp rules/README README.rules

install -m0644 tools/rules-updater-example.conf %{buildroot}%{_sysconfdir}/rules-updater.conf
install -m0755 tools/rules-updater.pl %{buildroot}%{_sbindir}/

%post
if [ -f %{_var}/lock/subsys/httpd ]; then
    %{_initrddir}/httpd restart 1>&2;
fi

%postun
if [ "$1" = "0" ]; then
    if [ -f %{_var}/lock/subsys/httpd ]; then
	%{_initrddir}/httpd restart 1>&2
    fi
fi

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc CHANGES LICENSE README.TXT modsecurity.conf-minimal doc/* apache2/api
%doc CHANGELOG.rules README.rules
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/httpd/modules.d/%{mod_conf}
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/logrotate.d/%{mod_name}
%attr(0755,root,root) %dir %{_sysconfdir}/httpd/conf/modsecurity
%attr(0755,root,root) %dir %{_sysconfdir}/httpd/conf/modsecurity/optional_rules
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/httpd/conf/modsecurity/*.conf
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/httpd/conf/modsecurity/optional_rules/*.conf
%attr(0640,root,root) %config(noreplace) %{_sysconfdir}/rules-updater.conf
%attr(0755,root,root) %{_sbindir}/rules-updater.pl
%attr(0755,root,root) %{_libdir}/apache-extramodules/%{mod_so}


%changelog
* Fri Aug 01 2008 Oden Eriksson <oeriksson@mandriva.com> 2.5.6-1mdv2009.0
+ Revision: 260090
- 2.5.6

* Mon Jul 14 2008 Oden Eriksson <oeriksson@mandriva.com> 2.5.5-2mdv2009.0
+ Revision: 235099
- rebuild

* Sat Jun 07 2008 Oden Eriksson <oeriksson@mandriva.com> 2.5.5-1mdv2009.0
+ Revision: 216700
- 2.5.5

* Thu Jun 05 2008 Oden Eriksson <oeriksson@mandriva.com> 2.5.4-3mdv2009.0
+ Revision: 215633
- fix rebuild
- hard code %%{_localstatedir}/lib to ease backports

* Fri May 09 2008 Oden Eriksson <oeriksson@mandriva.com> 2.5.4-2mdv2009.0
+ Revision: 204913
- bump release
- disable the "make test" for now...
- 2.5.4
- 2.5.3

* Mon Apr 14 2008 Oden Eriksson <oeriksson@mandriva.com> 2.5.2-1mdv2009.0
+ Revision: 192682
- 2.5.2

* Tue Mar 18 2008 Oden Eriksson <oeriksson@mandriva.com> 2.5.1-1mdv2008.1
+ Revision: 188460
- 2.1.5
- don't load the rules per default

* Fri Mar 07 2008 Oden Eriksson <oeriksson@mandriva.com> 2.1.5-3mdv2008.1
+ Revision: 181882
- rebuild

* Mon Feb 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.1.5-2mdv2008.1
+ Revision: 170748
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake

* Thu Jan 24 2008 Oden Eriksson <oeriksson@mandriva.com> 2.1.5-1mdv2008.1
+ Revision: 157585
- fix build
- 2.1.5

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Nov 26 2007 Oden Eriksson <oeriksson@mandriva.com> 2.1.3-2mdv2008.1
+ Revision: 112100
- fix build...
- added the forgotten core rules (beware!)
- added logrotation
- small build fix

* Sun Oct 14 2007 Oden Eriksson <oeriksson@mandriva.com> 2.1.3-1mdv2008.1
+ Revision: 98185
- 2.1.3

* Sat Sep 08 2007 Oden Eriksson <oeriksson@mandriva.com> 2.1.2-2mdv2008.0
+ Revision: 82671
- rebuild

* Tue Aug 07 2007 Oden Eriksson <oeriksson@mandriva.com> 2.1.2-1mdv2008.0
+ Revision: 59739
- 2.1.2
- use the same cflags as of apache

* Wed May 16 2007 Oden Eriksson <oeriksson@mandriva.com> 2.1.1-1mdv2008.0
+ Revision: 27270
- 2.1.1


* Sat Mar 10 2007 Oden Eriksson <oeriksson@mandriva.com> 2.1.0-2mdv2007.1
+ Revision: 140746
- rebuild

* Tue Feb 27 2007 Oden Eriksson <oeriksson@mandriva.com> 2.1.0-1mdv2007.1
+ Revision: 126703
- 2.1.0

* Fri Nov 17 2006 Oden Eriksson <oeriksson@mandriva.com> 2.0.4-1mdv2007.1
+ Revision: 85353
- 2.0.4

* Thu Nov 09 2006 Oden Eriksson <oeriksson@mandriva.com> 2.0.3-1mdv2007.1
+ Revision: 79684
- 2.0.3
- fix deps
- fix the config file
- Import apache-mod_security2

* Wed Jul 05 2006 Oden Eriksson <oeriksson@mandriva.com> 2.0.0-0.rc2.0mdk
- initial Mandriva package

